package model

import (
	"time"

	"github.com/shopspring/decimal"
)

type Park struct {
	Id               string              `json:"id"`
	UserId           string              `json:"userId"`
	Name             string              `json:"name"`
	Abbr             string              `json:"-"`
	Area             decimal.NullDecimal `json:"area"`
	TenementQuantity decimal.NullDecimal `json:"tenement"`
	Capacity         decimal.NullDecimal `json:"capacity"`
	Category         int16               `json:"category"`
	MeterType        int16               `json:"meter04kvType" db:"meter_04kv_type"`
	PricePolicy      int16               `json:"pricePolicy"`
	BasicPooled      int16               `json:"basicDiluted"`
	AdjustPooled     int16               `json:"adjustDiluted"`
	LossPooled       int16               `json:"lossDiluted"`
	PublicPooled     int16               `json:"publicDiluted"`
	TaxRate          decimal.NullDecimal `json:"taxRate"`
	Region           *string             `json:"region"`
	Address          *string             `json:"address"`
	Contact          *string             `json:"contact"`
	Phone            *string             `json:"phone"`
	Enabled          bool                `json:"enabled"`
	CreatedAt        time.Time           `json:"createdAt"`
	LastModifiedAt   time.Time           `json:"lastModifiedAt"`
	DeletedAt        *time.Time          `json:"deletedAt"`
}
